"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var channel_1 = require("./channel");
var logger_1 = require("./logger");
var Twilio = /** @class */ (function (_super) {
    __extends(Twilio, _super);
    function Twilio(bot) {
        return _super.call(this, { bot: bot, log: new logger_1.TwilioLogger(bot) }) || this;
    }
    Twilio.prototype.execute = function (body, parameters, handler) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            handler(_this.context.bot, body, "twilio", function (data) {
                var response = {
                    "Message": {
                        "Body": data.text
                    }
                };
                resolve(response);
            }, function (err) {
                reject(err);
            });
        });
    };
    return Twilio;
}(channel_1.Channel));
exports.Twilio = Twilio;
